## qubes-mgmt-salt 4.0.11

=== debian/changelog ===
qubes-mgmt-salt (4.0.11-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Marek Marczykowski-Górecki <user@build-debian4>  Mon, 29 Oct 2018 01:55:06 +0000

qubes-mgmt-salt (4.0.11-1) unstable; urgency=medium

  * Fix qrexec policy modification
  * debian: don't create orig.tar.gz manually

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 24 Oct 2018 02:10:21 +0200

qubes-mgmt-salt (4.0.10-1) unstable; urgency=medium

  * travis: add centos7
  * builder plugin: fix handling old format rpm packages
  * rpm: make python2 choice explicit
  * travis: update Fedora versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 05:55:33 +0200

qubes-mgmt-salt (4.0.9-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * Makefile.builder: update for .spec.in
  * spec.in: add changelog placeholder
  * spec.in: remove .gitignore

  [ Marek Marczykowski-Górecki ]
  * travis: update fedora version
  * rpm: add missing BR: python-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 May 2018 04:15:44 +0200

qubes-mgmt-salt (4.0.8-1) unstable; urgency=medium

  * Fix handling qubesctl --max-concurrency option

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 31 Mar 2018 00:06:12 +0200

qubes-mgmt-salt (4.0.7-1) unstable; urgency=medium

  * Provide an option to limit VMs configured in parallel
  * Remove .pyc file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 02:28:15 +0100

qubes-mgmt-salt (4.0.6-1) unstable; urgency=medium

  * Use more reliable "global variable" method in jinja template
  * Don't pass argument to yaml filter in jinja2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 23 Dec 2017 02:56:51 +0100

qubes-mgmt-salt (4.0.5-1) unstable; urgency=medium

  * Follow qubesadmin API change

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 08 Oct 2017 20:35:22 +0200

qubes-mgmt-salt (4.0.4-1) unstable; urgency=medium

  * Make minion.dom0.conf really used
  * Force 'systemd' service module in dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2017 13:49:05 +0200

qubes-mgmt-salt (4.0.3-1) unstable; urgency=medium

  * Adjust default minion configuration, so master config is included in
    pillars
  * minor fixes to qubessalt module used by qubesctl
  * qubessalt/qubesctl: fix DispVM creation and starting
  * qubesctl: prefer qubes.VMRootShell service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 14 Sep 2017 02:46:48 +0200

qubes-mgmt-salt (4.0.2-1) unstable; urgency=medium

  [ unman ]
  * Fix some typos in qubesctl help
  * Provide manpage for qubesctl

  [ Marek Marczykowski-Górecki ]
  * Migrate qubesctl to Admin API (part 1)
  * travis: switch to Qubes 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 14:33:05 +0200

qubes-mgmt-salt (4.0.1-1) unstable; urgency=medium

  * travis: drop debootstrap workaround
  * rpm: don't own salt directories
  * ssh-wrapper: don't use qvm-copy-to-vm
  * Drop leftovers of +salt template flavor

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Apr 2017 14:35:23 +0200

qubes-mgmt-salt (4.0.0-1) wheezy; urgency=medium

  [ Bahtiar `kalkin-` Gadimov ]
  * Add .pylintrc and setup.cfg
  * Migrate qubes-mgmt-base to new core3 api
  * Minor bug fixes

  [ Marek Marczykowski-Górecki ]
  * Fix core3 API usage

  [ unman ]
  * Remove unsupported Ubuntu builds

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 29 Nov 2016 21:55:21 +0100

qubes-mgmt-salt (3.2.4-1) wheezy; urgency=medium

  * ssh-wrapper: don't fail if dummy scp already exists

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Aug 2016 14:37:39 +0200

qubes-mgmt-salt (3.2.3-1) wheezy; urgency=medium

  * qubesctl: slightly improve error reporting

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Jul 2016 02:13:13 +0200

qubes-mgmt-salt (3.2.2-1) wheezy; urgency=medium

  * qubesctl: log VM salt call output
  * vm-connector: run salt shim in environment with dummy scp
  * rpm: drop saltutil.sync_all calls in %post script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 01 Jul 2016 11:18:19 +0200

qubes-mgmt-salt (3.2.1-1) wheezy; urgency=medium

  * dom0: really initialize minion_id to 'dom0'
  * qubesctl: speedup check whether VM has any config to be applied
  * debian: exclude a little less from "orig" tarball
  * travis: initial version
  * fix default pillar top
  * initialize minion_id earlier
  * rpm: use salt-call --local instead of qubesctl
  * fixup! initialize minion_id earlier
  * sync default minion.d/f_defaults.conf with final generated one
  * Drop 'state.sls config' call
  * qubesctl: apply salt backports

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Jun 2016 06:04:27 +0200

qubes-mgmt-salt (3.2.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Render top.sls based on plain list of tops (if present)
  * Add python-yaml to build dependencies

  [ M. Vefa Bicakci ]
  * builder.conf: Add python-yaml or PyYAML depending on host
    distribution

  [ Marek Marczykowski-Górecki ]
  * Extend qubesctl to configure also VMs
  * Add debian packaging for vm-connector
  * Drop +salt template flavor
  * dom0: initialize minion_id

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 May 2016 02:51:42 +0200

qubes-mgmt-salt (3.1.1-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * components - Allow additional components to be passed in from
    configuration file
  * BUILDER_PLUGINS:  Add template for fc23 and stretch
  * Makefile.install:  Rename default VARS to better reflect they are
    default values
  * Makefile.install:  Provide a list of most common VARS available for
    use


## qubes-mgmt-salt 4.0.12

=== debian/changelog ===
qubes-mgmt-salt (4.0.12-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Simon Gaiser <user@build-debian4>  Tue, 04 Dec 2018 00:39:54 +0000

qubes-mgmt-salt (4.0.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * qubesctl: fix error reporting
  * qubesctl: use 'management_dispvm' property if available

 -- Simon Gaiser <simon@invisiblethingslab.com>  Mon, 03 Dec 2018 18:45:02 +0100

## qubes-mgmt-salt 4.0.13

=== debian/changelog ===
qubes-mgmt-salt (4.0.13-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Marek Marczykowski-Górecki <user@build-debian4>  Sun, 09 Dec 2018 17:58:26 +0000

qubes-mgmt-salt (4.0.13-1) unstable; urgency=medium

  * Fix reporting salt-ssh exit code

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 Dec 2018 18:46:42 +0100

## qubes-mgmt-salt 4.0.14

=== debian/changelog ===
qubes-mgmt-salt (4.0.14-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Marek Marczykowski-Górecki <user@build-debian4>  Sun, 23 Dec 2018 00:15:13 +0000

qubes-mgmt-salt (4.0.14-1) wheezy; urgency=medium

  * Do not exclude 'salt' pillar
  * Remove outdated comment
  * Skip VMs based on empty top file only for state.highstate command

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 Dec 2018 01:07:51 +0100

## qubes-mgmt-salt 4.0.15

=== debian/changelog ===
qubes-mgmt-salt (4.0.15-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 15 Feb 2019 01:48:39 +0100

qubes-mgmt-salt (4.0.15-1) unstable; urgency=medium

  * qubesctl: improve error reporting

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Feb 2019 01:48:39 +0100

## qubes-mgmt-salt 4.0.16

=== debian/changelog ===
qubes-mgmt-salt (4.0.16-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 20 Mar 2019 22:36:52 +0100

qubes-mgmt-salt (4.0.16-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Regenerate source tarball after copying in relevant files

  [ Frédéric Pierret (fepitre) ]
  * Handle non existing qubessaltpatches in case where mgmt-salt-base-
    overrides is not needed anymore

  [ Marek Marczykowski-Górecki ]
  * Wipe salt temporary files after applying state in a VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 Mar 2019 22:36:52 +0100

## qubes-mgmt-salt 4.0.17

=== debian/changelog ===
qubes-mgmt-salt (4.0.17-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 07 Apr 2019 21:59:31 +0200

qubes-mgmt-salt (4.0.17-1) unstable; urgency=medium

  * Make qubesctl explicit python2
  * Make ssh-wrapper python3 script
  * travis: update Fedora,Debian versions, switch to xenial

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 07 Apr 2019 21:59:31 +0200

## qubes-mgmt-salt 4.0.18

=== debian/changelog ===
qubes-mgmt-salt (4.0.18-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 12 Apr 2019 05:01:57 +0200

qubes-mgmt-salt (4.0.18-1) unstable; urgency=medium

  * Really make ssh-wrapper a python3 script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 12 Apr 2019 05:01:57 +0200

## qubes-mgmt-salt 4.0.19

=== debian/changelog ===
qubes-mgmt-salt (4.0.19-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 20 Jul 2019 03:49:27 +0200

qubes-mgmt-salt (4.0.19-1) unstable; urgency=medium

  * Fix startup_states minion option
  * Fix jinja-based top file merging
  * Make top.jinja compatible with python3
  * Do not fail if 'salt' user does not exist in disp-mgmt-* VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 20 Jul 2019 03:49:27 +0200

## qubes-mgmt-salt 4.0.20

=== debian/changelog ===
qubes-mgmt-salt (4.0.20-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 31 Jan 2020 04:01:59 +0100

qubes-mgmt-salt (4.0.20-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Filter out control characters in log too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 31 Jan 2020 04:01:59 +0100

## qubes-mgmt-salt 4.0.21

=== debian/changelog ===
qubes-mgmt-salt (4.0.21-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 22 Mar 2020 06:16:33 +0100

qubes-mgmt-salt (4.0.21-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Remove unused import

  [ Frédéric Pierret (fepitre) ]
  * qubesctl: make PEP8 happy
  * qubesctl: handle StandaloneVMs targets

  [ Marek Marczykowski-Górecki ]
  * Report empty output as a failure
  * Log when considering empty output a failure

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Mar 2020 06:16:33 +0100

## qubes-mgmt-salt 4.0.22

=== debian/changelog ===
qubes-mgmt-salt (4.0.22-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 24 Apr 2020 04:32:37 +0200

qubes-mgmt-salt (4.0.22-1) unstable; urgency=medium

  * Drop PyYAML build dependency
  * Build qubes-mgmt-admin-tools package only for dom0
  * Restore creating $(DESTDIR) in install-custom

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Apr 2020 04:32:37 +0200

## qubes-mgmt-salt 4.0.23

=== doc/Makefile ===
PANDOC=pandoc -s -f rst -t man

DOCS=$(patsubst %.rst,%.1.gz,$(wildcard *.rst))

help:
	@echo "make rst=example.rst preview     -- generate manpage preview from example.rst"
	@echo "make manpages                    -- generate manpages"
	@echo "make install                     -- generate manpages and copy them to /usr/share/man"

install: manpages
	install -d $(DESTDIR)/usr/share/man/man1
	install -D $(DOCS) $(DESTDIR)/usr/share/man/man1/

%.1: %.rst
	$(PANDOC) $< > $@

%.1.gz: %.1
	gzip -f $<

manpages: $(DOCS)

clean:
	rm -f $(DOCS

=== debian/changelog ===
qubes-mgmt-salt (4.0.23-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 25 Oct 2020 05:09:59 +0100

qubes-mgmt-salt (4.0.23-1) unstable; urgency=medium

  [ Johanna Abrahamsson ]
  * Switch PyYAML dependency to python3-pyyaml

  [ Marek Marczykowski-Górecki ]
  * debian: drop Build-Depends: python-yaml
  * Switch yaml-dumper to python3
  * travis: use imports
  * travis: skip package install test

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 25 Oct 2020 05:09:59 +0100

## qubes-mgmt-salt 4.0.24

=== Makefile ===
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2015 Jason Mehring <nrgaway@gmail.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

_self_path := $(shell readlink -m $(dir $(abspath $(lastword $(MAKEFILE_LIST)))))
include $(_self_path)/components.conf

# This file is generated from FORMULA* by yaml-dumper in mgmt-salt builder plugin
include Makefile.vars

# This file is copied in from mgmt-salt
include Makefile.install

build:
	make manpages -C doc

.PHONY: install-custom
install-custom:: 
	install -d -m 0755 $(DESTDIR)
	# Install /etc/salt/* and /srv/*
	cp -Tr etc $(DESTDIR)/etc
	cp -Tr srv $(DESTDIR)/srv
	
.PHONY: install-vm
install-vm:
	install -d $(DESTDIR)/usr/lib/qubes-vm-connector/ssh-wrapper
	install ssh-wrapper $(DESTDIR)/usr/lib/qubes-vm-connector/ssh-wrapper/ssh
	ln -s ssh $(DESTDIR)/usr/lib/qubes-vm-connector/ssh-wrapper/scp
	ln -s /bin/true $(DESTDIR)/usr/lib/qubes-vm-connector/ssh-wrapper/ssh-keygen
	install -d $(DESTDIR)/etc/qubes-rpc
	install qubes.SaltLinuxVM $(DESTDIR)/etc/qubes-rpc

.PHONY: install-dom0
install-dom0:
	python2 setup.py install -O1 --root $(DESTDIR)
	make install -C doc
	# Install qubesctl
	install -d -m 0755 $(DESTDIR)$(BINDIR)
	install -p -m 0755 qubesctl $(DESTDIR)$(BINDIR)

.PHONY: get-sources
get-sources: GIT_REPOS := $(addprefix $(SRC_DIR)/,$(MGMT_SALT_COMPONENTS) mgmt-salt-app-saltstack)
get-sources:
	@set -a; \
	pushd $(BUILDER_DIR) &> /dev/null; \
	SCRIPT_DIR=$(BUILDER_DIR)/scripts; \
	SRC_ROOT=$(BUILDER_DIR)/$(SRC_DIR); \
	for REPO in $(GIT_REPOS); do \
		if [ ! -d $$REPO ]; then \
			$$SCRIPT_DIR/get-sources || exit 1; \
		fi; \
	done; \
	popd &> /dev/null

.PHONY: verify-sources
verify-sources:
	@true

=== debian/changelog ===
qubes-mgmt-salt (4.0.24-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 07 Nov 2020 17:23:48 +0100

qubes-mgmt-salt (4.0.24-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Support newer Salt versions

  [ Marek Marczykowski-Górecki ]
  * Do not open-code EOF marker twice

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Nov 2020 17:23:48 +0100

## qubes-mgmt-salt 4.0.25

=== debian/changelog ===
qubes-mgmt-salt (4.0.25-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Tue, 11 May 2021 05:25:24 +0200

qubes-mgmt-salt (4.0.25-1) unstable; urgency=medium

  [ ctrlaltf24 ]
  * removed templates apps and standalones from the muturally exclusive
    group

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Marek Marczykowski-Górecki ]
  * Apply workaround for highstate rendering failure

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 11 May 2021 05:25:24 +0200

## qubes-mgmt-salt 4.0.26

=== debian/changelog ===
qubes-mgmt-salt (4.0.26-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 23 Jun 2021 03:22:41 +0200

qubes-mgmt-salt (4.0.26-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Only apply Salt workaround on Fedora qubes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 Jun 2021 03:22:41 +0200

## qubes-mgmt-salt 4.1.0

=== debian/changelog ===
qubes-mgmt-salt (4.1.0-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Tue, 02 Apr 2019 02:52:05 +0200

qubes-mgmt-salt (4.1.0-1) unstable; urgency=medium

  * Explicitly load pillar tops
  * Fix startup_states minion option
  * Fix jinja-based top file merging

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 02 Apr 2019 02:52:05 +0200

=== debian/control ===
Source: qubes-mgmt-salt
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends: 
    debhelper (>= 9~),
    quilt,
    python-yaml,
    tree
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-mgmt-salt
Section: admin
Architecture: all
Depends:
    salt-common (>= 2015.5~),
    salt-minion,
    qubes-mgmt-salt-base
Recommends:
    lsb-release
Description: Qubes+Salt Management dependencies.

Package: qubes-mgmt-salt-config
Section: admin
Architecture: all
Description: Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system.
Depends:
    salt-common,
    salt-minion

Package: qubes-mgmt-salt-dom0
Section: admin
Architecture: all
Depends:
    qubes-mgmt-salt,
    qubes-mgmt-salt-dom0-qvm,
    qubes-mgmt-salt-dom0-update
Recommends:
    qubes-mgmt-salt-dom0-virtual-machines
Conflicts: qubes-mgmt-salt-vm
Description: Qubes+Salt Management dom0 dependencies.

Package: qubes-mgmt-salt-vm
Section: admin
Architecture: all
Depends:
    qubes-mgmt-salt
Recommends:
    qubes-mgmt-salt-vm-python-pip
Description: Qubes+Salt Management vm dependencies.

Package: qubes-mgmt-salt-dom0-formulas
Section: admin
Architecture: all
Depends:
    qubes-mgmt-salt,
    qubes-mgmt-salt-dom0-qvm,
    qubes-mgmt-salt-dom0-update,
    qubes-mgmt-salt-dom0-virtual-machines
Description: All Qubes+Salt Management dom0 formulas.

Package: qubes-mgmt-salt-vm-formulas
Section: admin
Architecture: all
Depends:
    qubes-mgmt-salt,
    qubes-mgmt-salt-vm-python-pip
Description: All Qubes+Salt Management VM formulas

Package: qubes-mgmt-salt-vm-connector
Section: admin
Architecture: all
Depends:
    salt-ssh
Description: Interface for managing VM from dom0

Package: qubes-mgmt-salt-shared-formulas
Section: admin
Architecture: all
Depends:
    qubes-mgmt-salt
Description: All Qubes+Salt Management shared (qubes-mgmt-all-*) formulas

## qubes-mgmt-salt 4.1.1

=== debian/changelog ===
qubes-mgmt-salt (4.1.1-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 08 Jun 2019 12:39:57 +0200

qubes-mgmt-salt (4.1.1-1) unstable; urgency=medium

  * Make qubesctl explicit python2
  * Make ssh-wrapper python3 script
  * travis: update for R4.1
  * Really make ssh-wrapper a python3 script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Jun 2019 12:39:57 +0200

## qubes-mgmt-salt 4.1.2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,10 @@
 
 .PHONY: install-custom
 install-custom:: 
-	install -d -m 0755 $(DESTDIR)
+	# Install qubesctl
+	@install -d -m 0755 $(DESTDIR)$(BINDIR)
+	@install -p -m 0755 qubesctl $(DESTDIR)$(BINDIR)
+	
 	# Install /etc/salt/* and /srv/*
 	cp -Tr etc $(DESTDIR)/etc
 	cp -Tr srv $(DESTDIR)/srv
@@ -48,9 +51,6 @@
 install-dom0:
 	python2 setup.py install -O1 --root $(DESTDIR)
 	make install -C doc
-	# Install qubesctl
-	install -d -m 0755 $(DESTDIR)$(BINDIR)
-	install -p -m 0755 qubesctl $(DESTDIR)$(BINDIR)
 
 .PHONY: get-sources
 get-sources: GIT_REPOS := $(addprefix $(SRC_DIR)/,$(MGMT_SALT_COMPONENTS) mgmt-salt-app-saltstack)

=== debian/changelog ===
qubes-mgmt-salt (4.1.2-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 11 Aug 2019 06:55:15 +0200

qubes-mgmt-salt (4.1.2-1) unstable; urgency=medium

  * Make top.jinja compatible with python3
  * Do not fail if 'salt' user does not exist in disp-mgmt-* VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Aug 2019 06:55:15 +0200

## qubes-mgmt-salt 4.1.3

=== debian/changelog ===
qubes-mgmt-salt (4.1.3-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 05 Jan 2020 13:12:46 +0100

qubes-mgmt-salt (4.1.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Filter out control characters in log too
  * Remove unused import
  * Switch to Python 3
  * travis: switch dom0 to fc31, update VM versions
  * Add workaround for salt bug

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 05 Jan 2020 13:12:46 +0100

## qubes-mgmt-salt 4.1.4

=== debian/changelog ===
qubes-mgmt-salt (4.1.4-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 22 Mar 2020 03:43:21 +0100

qubes-mgmt-salt (4.1.4-1) unstable; urgency=medium

  [ Johanna Abrahamsson ]
  * Switch PyYAML dependency to python3-pyyaml

  [ Frédéric Pierret (fepitre) ]
  * qubesctl: make PEP8 happy
  * qubesctl: handle StandaloneVMs targets

  [ Marek Marczykowski-Górecki ]
  * Report empty output as a failure

  [ Frédéric Pierret (fepitre) ]
  * Make qubes-mgmt-salt-base-overrides obsolete for R4.1

  [ Marek Marczykowski-Górecki ]
  * Log when considering empty output a failure

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Mar 2020 03:43:21 +0100

## qubes-mgmt-salt 4.1.5

=== debian/changelog ===
qubes-mgmt-salt (4.1.5-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 28 Mar 2020 04:10:07 +0100

qubes-mgmt-salt (4.1.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: add CentOS 7 build
  * spec: don't hardcode 'python3' prefix
  * spec: pyyaml is case sensitive in CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Mar 2020 04:10:07 +0100

## qubes-mgmt-salt 4.1.6

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 .PHONY: install-dom0
 install-dom0:
-	python2 setup.py install -O1 --root $(DESTDIR)
+	python3 setup.py install -O1 --root $(DESTDIR)
 	make install -C doc
 
 .PHONY: get-sources

=== debian/changelog ===
qubes-mgmt-salt (4.1.6-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 24 Apr 2020 04:36:59 +0200

qubes-mgmt-salt (4.1.6-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: import from qubes-continuous-integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Apr 2020 04:36:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: 
     debhelper (>= 9~),
     quilt,
-    python-yaml,
+    python3-yaml,
     tree
 Standards-Version: 3.9.5
 Homepage: http://www.qubes-os.org

## qubes-mgmt-salt 4.1.7

=== debian/changelog ===
qubes-mgmt-salt (4.1.7-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sun, 24 May 2020 04:37:44 +0200

qubes-mgmt-salt (4.1.7-1) unstable; urgency=medium

  * Modify qubesctl to use the new policy format
  * rpm: add specific version dependency for qubes-core-dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 24 May 2020 04:37:44 +0200

## qubes-mgmt-salt 4.1.8

=== debian/changelog ===
qubes-mgmt-salt (4.1.8-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 07 Nov 2020 17:20:58 +0100

qubes-mgmt-salt (4.1.8-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Support newer Salt versions

  [ Marek Marczykowski-Górecki ]
  * Do not open-code EOF marker twice

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Nov 2020 17:20:58 +0100

## qubes-mgmt-salt 4.1.9

=== debian/changelog ===
qubes-mgmt-salt (4.1.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 03 Dec 2020 16:56:37 +0100

qubes-mgmt-salt (4.1.9-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: exclude install dom0 packages in vm
  * debian: drop dependency on qubes-mgmt-salt-vm-python-pip
  * Drop unused VM packages

  [ Demi Marie Obenour ]
  * Invoke qubes.SaltLinuxVM as root

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Dec 2020 16:56:37 +0100

## qubes-mgmt-salt 4.1.10

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,8 @@
 # This file is copied in from mgmt-salt
 include Makefile.install
 
+PYTHON ?= python3
+
 build:
 	make manpages -C doc
 
@@ -49,7 +51,7 @@
 
 .PHONY: install-dom0
 install-dom0:
-	python3 setup.py install -O1 --root $(DESTDIR)
+	$(PYTHON) setup.py install -O1 --root $(DESTDIR)
 	make install -C doc
 
 .PHONY: get-sources

=== debian/changelog ===
qubes-mgmt-salt (4.1.10-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 28 Dec 2020 16:59:14 +0100

qubes-mgmt-salt (4.1.10-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Fix build with python3 for CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Dec 2020 16:59:14 +0100

## qubes-mgmt-salt 4.1.11

=== debian/changelog ===
qubes-mgmt-salt (4.1.11-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 11 May 2021 02:41:41 +0200

qubes-mgmt-salt (4.1.11-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix reproducibility - explicit umask set

  [ keyandthegate ]
  * Don't throw away salt stderr

  [ Marek Marczykowski-Górecki ]
  * Break long line

  [ ctrlaltf24 ]
  * removed templates apps and standalones from the muturally exclusive
    group

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Marek Marczykowski-Górecki ]
  * Apply workaround for highstate rendering failure

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 11 May 2021 02:41:41 +0200

## qubes-mgmt-salt 4.1.12

=== debian/changelog ===
qubes-mgmt-salt (4.1.12-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 23 Jun 2021 03:21:35 +0200

qubes-mgmt-salt (4.1.12-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Only apply Salt workaround on Fedora qubes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 Jun 2021 03:21:35 +0200

## qubes-mgmt-salt 4.1.13

=== debian/changelog ===
qubes-mgmt-salt (4.1.13-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 28 Oct 2021 03:40:17 +0200

qubes-mgmt-salt (4.1.13-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Marek Marczykowski-Górecki ]
  * ci: don't skip 'qubes-mgmt-salt' common package in VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 28 Oct 2021 03:40:17 +0200

## qubes-mgmt-salt 4.1.14

=== debian/changelog ===
qubes-mgmt-salt (4.1.14-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 13 May 2022 05:08:29 +0200

qubes-mgmt-salt (4.1.14-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ Marek Marczykowski-Górecki ]
  * Place VMRootShell policy file before loading legacy policy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 May 2022 05:08:29 +0200

## qubes-mgmt-salt 4.1.15

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
 	@install -p -m 0755 qubesctl $(DESTDIR)$(BINDIR)
 	
 	# Install /etc/salt/* and /srv/*
-	cp -Tr etc $(DESTDIR)/etc
-	cp -Tr srv $(DESTDIR)/srv
+	umask 022; cp -Tr etc $(DESTDIR)/etc
+	umask 022; cp -Tr srv $(DESTDIR)/srv
 	
 .PHONY: install-vm
 install-vm:

=== debian/changelog ===
qubes-mgmt-salt (4.1.15-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 07 Sep 2022 23:05:50 +0200

qubes-mgmt-salt (4.1.15-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Remove deprecated content
  * Add Qubes Builder v2 integration

  [ Marek Marczykowski-Górecki ]
  * Move applying salt 60003 bug into dom0 part
  * Apply salt 60003 bug workaround for salt 3005 too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 07 Sep 2022 23:05:50 +0200

## qubes-mgmt-salt 4.1.16

=== debian/changelog ===
qubes-mgmt-salt (4.1.16-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 17 Sep 2022 04:53:13 +0200

qubes-mgmt-salt (4.1.16-1) unstable; urgency=medium

  * Backport fix for saltstack/salt#62636

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 17 Sep 2022 04:53:13 +0200

=== debian/control ===
--- 
+++ 
@@ -41,15 +41,6 @@
 Conflicts: qubes-mgmt-salt-vm
 Description: Qubes+Salt Management dom0 dependencies.
 
-Package: qubes-mgmt-salt-vm
-Section: admin
-Architecture: all
-Depends:
-    qubes-mgmt-salt
-Recommends:
-    qubes-mgmt-salt-vm-python-pip
-Description: Qubes+Salt Management vm dependencies.
-
 Package: qubes-mgmt-salt-dom0-formulas
 Section: admin
 Architecture: all
@@ -60,24 +51,9 @@
     qubes-mgmt-salt-dom0-virtual-machines
 Description: All Qubes+Salt Management dom0 formulas.
 
-Package: qubes-mgmt-salt-vm-formulas
-Section: admin
-Architecture: all
-Depends:
-    qubes-mgmt-salt,
-    qubes-mgmt-salt-vm-python-pip
-Description: All Qubes+Salt Management VM formulas
-
 Package: qubes-mgmt-salt-vm-connector
 Section: admin
 Architecture: all
 Depends:
     salt-ssh
 Description: Interface for managing VM from dom0
-
-Package: qubes-mgmt-salt-shared-formulas
-Section: admin
-Architecture: all
-Depends:
-    qubes-mgmt-salt
-Description: All Qubes+Salt Management shared (qubes-mgmt-all-*) formulas

## qubes-mgmt-salt 4.2.0

=== debian/changelog ===
qubes-mgmt-salt (4.2.0-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 30 Oct 2023 05:58:51 +0100

qubes-mgmt-salt (4.2.0-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Allow other default user home directories
  * Use shlex.quote not pipes.quote

  [ jeanluc ]
  * Check for targeted states in parallel
  * Add opt to skip check for targeted states in highstate
  * Fix --force-colo[u]r docs
  * Limit catching exceptions to `has_config`
  * Fix passing quoted arguments to salt-ssh

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 30 Oct 2023 05:58:51 +0100

## qubes-mgmt-salt 4.2.1

=== debian/changelog ===
qubes-mgmt-salt (4.2.1-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 12 Nov 2023 04:52:47 +0100

qubes-mgmt-salt (4.2.1-1) unstable; urgency=medium

  [ jeanluc ]
  * Ensure custom modules can run on salt-ssh master
  * Allow syncing all module types via qubesctl
  * Ensure `extmods` is absent from cache before renaming

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 12 Nov 2023 04:52:47 +0100

## qubes-mgmt-salt 4.2.2

=== debian/changelog ===
qubes-mgmt-salt (4.2.2-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 29 Jan 2024 17:09:28 +0100

qubes-mgmt-salt (4.2.2-1) unstable; urgency=medium

  * Fix handling empty base top
  * Support 'state.apply' in addition to 'state.highstate'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Jan 2024 17:09:28 +0100

## qubes-mgmt-salt 4.2.3

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,9 @@
 	install ssh-wrapper $(DESTDIR)/usr/lib/qubes-vm-connector/ssh-wrapper/ssh
 	ln -s ssh $(DESTDIR)/usr/lib/qubes-vm-connector/ssh-wrapper/scp
 	ln -s /bin/true $(DESTDIR)/usr/lib/qubes-vm-connector/ssh-wrapper/ssh-keygen
+	install -d $(DESTDIR)/usr/lib/qubes-vm-connector/python-override
+	cp -r python-override/certifi \
+		$(DESTDIR)/usr/lib/qubes-vm-connector/python-override/
 	install -d $(DESTDIR)/etc/qubes-rpc
 	install qubes.SaltLinuxVM $(DESTDIR)/etc/qubes-rpc

=== debian/changelog ===
qubes-mgmt-salt (4.2.3-1+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 14:01:52 +0000

qubes-mgmt-salt (4.2.3-1) unstable; urgency=medium

  * Include forked certifi package that handles both Debian and Fedora
  * CI: drop R4.1, add R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Oct 2025 23:25:58 +0200
